Qt 5.6 | Qt Quick Controls | QML Types | TableViewColumn QML Type

Qt 5.6.2 Reference Documentation

# TableViewColumn QML Type

Used to define columns in a TableView or in a TreeView. More...

Import Statement: | import QtQuick.Controls 1.4
Since: | Qt 5.1
Inherits: | QtObject

- List of all members, including inherited members

## Properties

- delegate : Component
- elideMode : int
- horizontalAlignment : int
- movable : bool
- resizable : bool
- role : string
- title : string
- visible : bool
- width : int

## Methods

- void resizeToContents()

## Detailed Description

TableViewColumn represents a column within a TableView or a TreeView. It provides properties to decide how the data in that column is presented.

      TableView {
          TableViewColumn { role: "title"; title: "Title"; width: 100 }
          TableViewColumn { role: "author"; title: "Author"; width: 200 }
          model: libraryModel
      }

See also TableView and TreeView.

## Property Documentation

delegate : Component

The delegate of the column. This can be used to set the itemDelagate of a TableView or TreeView for a specific column.

In the delegate you have access to the following special properties:

- styleData.selected - if the item is currently selected
- styleData.value - the value or text for this item
- styleData.textColor - the default text color for an item
- styleData.row - the index of the row
- styleData.column - the index of the column
- styleData.elideMode - the elide mode of the column
- styleData.textAlignment - the horizontal text alignment of the column

elideMode : int

The text elide mode of the column. Allowed values are:

- Text.ElideNone
- Text.ElideLeft
- Text.ElideMiddle
- Text.ElideRight - the default

See also elide.

horizontalAlignment : int

The horizontal text alignment of the column. Allowed values are:

- Text.AlignLeft - the default
- Text.AlignRight
- Text.AlignHCenter
- Text.AlignJustify

See also horizontalAlignment.

movable : bool

Determines if the column should be movable. The default value is `true`.

Note: A non-movable column may get indirectly moved if adjacent columns are movable.

This QML property was introduced in QtQuick.Controls 1.1.

resizable : bool

Determines if the column should be resizable.

This QML property was introduced in QtQuick.Controls 1.1.

role : string

The model `role` of the column.

title : string

The title text of the column.

visible : bool

The visible status of the column.

width : int

The current width of the column The default value depends on platform. If only one column is defined, the width expands to the viewport.

## Method Documentation

void resizeToContents()

Resizes the column so that the implicitWidth of the contents on every row will fit.

This QML method was introduced in QtQuick.Controls 1.2.